    The XSPEC gabs model: gaussian absorption line.

xsgabs
The xsgabs model is a multiplicative model component.

The model is described at [1] .

The tau parameter has been renamed strength to match the XSPEC definition. The name tau can still be used to access the parameter, but this name will be removed in a future release.

>>> create_model_component("xsgabs", "mdl")
>>> print(mdl)

Create a component of the xsgabs model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.LineE thawed 1 0 1e+06 keV mdl.Sigma thawed 0.01 0 20 keV mdl.Strength thawed 1 0 1e+06 keV

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
LineE
The line energy, in keV.
Sigma
The line width (sigma), in keV.
Strength
The line depth, in keV. The optical depth at the line center is Strength / (sqrt(2 pi) * Sigma).

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelGabs.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023